# uddi2__assertionStatusReport Class Reference

Schema urn:uddi-org:api_v2:"assertionStatusReport". More...

`#include <uddi_v2.h>`

List of all members.

## Public Attributes

std::vector< uddi2__assertionStatusItem * > | assertionStatusItem
| Vector of uddi2__assertionStatusItem* with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
char * | operator_
| Attribute operator of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"assertionStatusReport".

## Member Data Documentation

std::vector<uddi2__assertionStatusItem*> uddi2__assertionStatusReport::assertionStatusItem

| Vector of uddi2__assertionStatusItem* with length 0..unbounded.

char* uddi2__assertionStatusReport::generic

| Attribute generic of type xs:string. Required attribute

char* uddi2__assertionStatusReport::operator_

| Attribute operator of type xs:string. Required attribute

struct soap* uddi2__assertionStatusReport::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h